No joy for newbie Capistrano user


#1

Hello,

I tried taking Capistrano out for a test drive and I can’t even get out
of
the garage.

I am following the instructions here:
http://manuals.rubyonrails.com/read/chapter/98#page262

As well as Duncan Davidson’s Deploying Rails with Lighty:
Deploying Rails with
LightTPDhttp://duncandavidson.com/essay/2005/12/railsonlighty

Specifically, when I do:

rake remote:exec ACTION=setup

I get this error:

loading configuration

/usr/local/lib/ruby/gems/1.8/gems/capistrano-1.1.0/lib/capistrano/recipes/standard.rb
loading configuration ./config/deploy.rb

  • executing task setup
  • executing “mkdir -p -m 775 /usr/www/rails/hellorails/releases
    /usr/www/rails/hellorails/shared/system &&\n mkdir -p -m 777
    /usr/www/rails/hellorails/shared/log”
    servers: [“theimageengine.com”]
    (in /home/turner/play/rails/hellorails)
    rake aborted!
    no such file to load – openssl

Can someone please lend a hand. Thanks alot!
Regards,
Doug Turner
mobile: 781 775 3708
skype: dduuggllaa


#2

Douglass T. wrote:

I tried taking Capistrano out for a test drive and I can’t even get out
of the garage.

I’d say you were out of the garage, but still in the driveway.

no such file to load – openssl

You need to install openssl ruby bindings on your server. I’m not an
expert on this, but I believe that many (most?) Ruby installs include
these, but it may not be installed by default on some systems including
Debian and derivatives.

Consult the documentation for your server.

Ray


#3

I’m on a SuSE box. What is the name of the module I need to gem install?

-Doug


#4

Can someone please explain to me how to install a newer version of the
openssl/openssh libraries on my find old SuSE 8.2 box. I can’t use RPM,
that
does not install a version high enough to prevent rake from aborting
when
running: rake remote:exec ACTION=setup. The relevant ruby script
requires
openssl > 0.9.6. SuSE 8.2 RPM only goes up to 0.9.6i. I need 0.9.7 or
greater.

I can’t just uninstall the RPM due to dependency hell.

I’m completely stumped.

-Doug